--! Normal library
library ieee;
--! Normal package
use ieee.std_logic_1164.all;

--! Package to define a some functions / procedures
package test_package is

	--! @brief Test function
  --! @param param1 First parameter
  --! @param param2 Second parameter
  --! @return More logic
  function test_func (
    param1 : in std_logic;
    param2 : in std_logic )
    return std_logic;
  
  --! @brief Test procedure
  --! @param param3 First parameter
  --! @param param4 Second parameter
  procedure test_proc (
    param3 : in std_logic;
    param4 : in std_logic );
  
end package test_package;
